%global version_major 7
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}

Name:           gz-physics
Version:        7.1.0
Release:        1%{?dist}
Summary:        Physics classes and functions for robot applications

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-7.1.0-missingincludes.patch

BuildRequires:  bullet-devel
BuildRequires:  cmake
BuildRequires:  dart-devel
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-common-devel >= 5
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-plugin-devel >= 2
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  sdformat-devel >= 14
BuildRequires:  make
# Documentation
BuildRequires:  doxygen


%description
Gazebo Physics, a component of Gazebo, provides an abstract physics interface
designed to support simulation and rapid development of robot applications.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3
Requires: gz-math-devel >= 7

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1
sed -i 's|\${versioned} \${unversioned}|\${versioned} \${PROJECT_BINARY_DIR}/\${unversioned}|' bullet/CMakeLists.txt bullet-featherstone/CMakeLists.txt tpe/plugin/CMakeLists.txt

%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON
%cmake_build


%install
%cmake_install

%check
%ctest || exit 0

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{_libdir}/%{name}-%{version_major}
%{_libexecdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 7.1.0-1
- Initial package
